Bug 5591 - Blender doesn't work with CUDA
: Blender doesn't work with CUDA
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-22 04:28 MSD by Vladimir Potapov
Modified: 2015-06-01 17:55 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2015-05-22 04:28:44 MSD
Blender don't work with CUDA
http://forum.rosalab.ru/viewtopic.php?f=53&t=4529&p=44915#p44915

I confirm this issue on my test computer.
Comment 1 Eugene Shatokhin 2015-05-25 13:20:01 MSD
hw-probe from the user:
http://hw.rosalinux.ru/index.php?probe=97fed0a5a5
Comment 2 Eugene Shatokhin 2015-05-25 19:00:04 MSD
Please try the following. 

1. Install/update nvidia-cuda-toolkit and nvidia-cuda-toolkit-devel (both are needed) to version 7.0.28 from this container:

http://abf-downloads.rosalinux.ru/import_personal/container/2504236/x86_64/main/release/

By the way, since CUDA 7.0, only 64-bit Linux systems are supported, it seems.

2. Blender looks for libcuda.so, so make a symlink for it (replace "nvidia346" with an appropriate name if you use a different NVidia driver):

ln -s /usr/lib64/nvidia346/libcuda.so.1 /usr/lib64/libcuda.so

Perhaps, this should be done automatically in the future updates for nvidia*-cuda-opencl.

3. Run Blender and see if it can work with CUDA now.
Comment 3 Eugene Shatokhin 2015-05-26 20:02:35 MSD
Blender 2.74 seems to support CUDA 6.5 only, so here is CUDA toolkit 6.5:
https://abf.io/build_lists/2504505
Comment 4 Eugene Shatokhin 2015-05-28 17:42:35 MSD
Advisory:
CUDA toolkit was updated to version 6.5 that Blender 2.74 supports. CUDA toolkit 7.0 seems to still have problems, so we are updating it only to version 6.5 for the present.
Release notes: http://developer.download.nvidia.com/compute/cuda/6_5/rel/docs/CUDA_Toolkit_Release_Notes.pdf

Build lists:
x86_64: https://abf.io/build_lists/2504505

Note that there is only a build for x86_64. Support for 32-bit systems was dropped from CUDA by NVidia in version 7.0 or earlier, no need to bother with it in 6.5 as well.
Comment 5 Vladimir Potapov 2015-05-28 20:22:46 MSD
The update is sent to expanded testing
***************************************
Comment 6 Vladimir Potapov 2015-06-01 17:42:32 MSD
nvidia-cuda-toolkit-6.5.14-1
https://abf.io/build_lists/2504505
**************************** Advisory ************************
CUDA toolkit was updated to version 6.5 that Blender 2.74 supports.
**************************************************************
QA Verified